/**
 * Utilidades del subdialogo de Jerarquia Grupos Tipos de Expedientes
 */

var mysortnameTipExp="codgrupo";
var mysortorderTipExp="asc";
var ventanaOrigen="";
var idioma=$.rup.lang;

jQuery(function($){

	$("#dialogoEsperaJerarTipoExp").hide();
	
});





$("#btnBuscarJerarTipoExp").click(function(){
	$("#ctipoe02_filter_table_TipExp").val($("#idTipoExp").val());
	if(idioma=="eu"){
		$("#etipoe02_filter_table_TipExp").val($("#idDescTipoExp").val());	
	}else{
		$("#dtipoe02_filter_table_TipExp").val($("#idDescTipoExp").val());
	}
	$("#dialogoEsperaJerarTipoExp").show();
 	$("#ListadoJerarTipoExpDetalle").rup_table("filter");
 	$("#dialogoEsperaJerarTipoExp").hide();
	$("#ListadoJerarTipoExpDetalle_div").show();
	
});

function limpiarBusqResp(){
	$("#idTipoExp").val("");
	$("#idDescTipoExp").val("");
	$("#etipoe02_filter_table_TipExp").val("");
	$("#dtipoe02_filter_table_TipExp").val("");
	$("#ctipoe02_filter_table_TipExp").val("");
	
	$("#dialogoEsperaJerarTipoExp").show();
 	$("#ListadoJerarTipoExpDetalle").rup_table("filter");
	$("#dialogoEsperaJerarTipoExp").hide();
	$("#ListadoJerarTipoExpDetalle_div").show();
}


var dialogoJerarqTiposExp={
	inicializado:false,
	expeId:null,
	expeCod:null,
	/**
	 * Oculta los elementos visibles
	 */
	ocultarElementos:function(){
			$("#dialogoEsperaJerarTipoExp").hide();
	},
	/**
	 * Inicializa el componente (si no esta inicializado)y lo abre 
	 */
	
	
	inicializar:function(){

		
		if(!this.inicializado){
			this.inicializado=true;
			//$("#ListadoJerarTipoExpDetalle_toolbar").hide();
			$("#ListadoJerarTipoExpDetalle").rup_table({
				rowNum:300,
				url: "../aa21bConsultas/filterJerarTipoExp",
				colNames: [
				    $.rup.i18n.app.aa21b15s01.cusu15,
				    "",
				    $.rup.i18n.app.aa21b01s01.grupo + " / " + $.rup.i18n.app.aa21b01s01.ctipoe01,
				    $.rup.i18n.app.aa21b01s01.gfase01
				],
				colModel: [
					{ 	name: "desGrupo30", 
					 	label: "desGrupo30",
					 	width: 0.1, 
					 	hidden: true
					},
					{ 	name: "cserv02", 
					 	label: "cserv02",
					 	align: "center",
					 	hidden: true
					},
					{ 	name: "ctipoe02", 
					 	label: "ctipoe02",
					 	align: "center",
					 	width: 50 
					},
					{ 	name: "dtipoe02", 
					 	label: "dtipoe02",
						align: "left", 
						width: 150, 
						editable: true, 
						fixed: false, 
						resizable: true, 
						sortable: true
					}
		        ],
			    grouping:true,
			    groupingView : {
			    	groupCollapse: true,
			    	groupField : ['desGrupo30']
			    },
		        model:"Aa21b02s01",
		        usePlugins:[
					"formEdit",
		        	"feedback",
					"toolbar",
		        	"contextMenu",
		        	"fluid",
		        	"filter"
		        	//"search"
		         	],
				primaryKey: "ctipoe02",
				sortname: mysortnameTipExp,
				sortorder: mysortorderTipExp,
				loadOnStartUp: false,
				toolbar:{
					defaultButtons:[{}],
					newButtons:[{
						id:"seleccionarTipoExp",
						obj: {i18nCaption:$.rup.i18n.app.botonerasMantGenerales.aniadir, css: "rup-icon aniadir"},
						click: handlerSeleccionarTipoExp
					}]
				}
			});
			jQuery("#dialogoDocumentosExpediente").on("dialogclose", function() {
				$("#ListadoResponsablesExpedientesDetalle_div").hide();
				$("#dialogoEsperaDetalleResponsables").show();
			});
			$("#dialogoJerarqTiposExp").rup_dialog({
				type:$.rup.dialog.DIV,
				modal:true,
				height:625,
				width:935,	
				resizable:false,
				title:$.rup.i18n.app.aa21b20s01.consultaRespExpedienteTit,
				autoOpen:false,
				showLoading:true,
				async:false,
				open:dialogoJerarqTiposExp.cargarDatos
			});
		}
	
	},
	/**
	 * Hace un filter del rup_table, para que se carguen los datos. Se llama en el evento de apertura del diálogo
	 */
	 cargarDatos:function(){
		 	$("#ui-dialog-title-dialogoJerarqTiposExp").html($.rup.i18n.app.aa21b01s01.gruposTiposExp );
		 	$("#ListadoJerarTipoExpDetalle").rup_table("filter");
			$("#dialogoEsperaJerarTipoExp").hide();
			$("#ListadoJerarTipoExpDetalle_div").show();
			//$("#ListadoJerarTipoExpDetalle").rup_table("reset");
	},
	/**
	 * Abre el dialogo, para el expediente con id=expediente y referencia=codigo
	 * rellena el formulario de búsqueda
	 * e inicializa el componente
	 * @param expediente
	 * @param codigo
	 */
	abrirDialogo:function(valor) {
		ventanaOrigen = valor;
		dialogoJerarqTiposExp.inicializar();
		$("#dialogoJerarqTiposExp").rup_dialog("open");
		//$("#ListadoJerarTipoExpDetalle").rup_table("reset");
		$("#ListadoJerarTipoExpDetalle_pager").hide();
		if(ventanaOrigen=="bt_JerarqTiposExp_AltaExpedientes"){
			$("#situ02_filter_table_TipExp").val("A");
		}else{
			$("#situ02_filter_table_TipExp").val("");
		}
	}

};

function handlerSeleccionarTipoExp(){
	var posLinea = $("#ListadoJerarTipoExpDetalle").rup_table("getSelectedLines");
	var codTipoExp = $("#ListadoJerarTipoExpDetalle").rup_table("getRowData")[posLinea].ctipoe02;
	var codServ = $("#ListadoJerarTipoExpDetalle").rup_table("getRowData")[posLinea].cserv02;
	
	if(ventanaOrigen=="bt_JerarqTiposExp_Expedientes"){
		$("#cexpe20_filter_table").rup_combo("select", codTipoExp);
		$("#cexpe20Hidden").val(codTipoExp);	
	}else if(ventanaOrigen=="bt_JerarqTiposExp_AltaExpedientes"){
		$("#cexpe20Alta_detail_table").rup_combo("setRupValue", codServ + "-" + codTipoExp);
		parent.funChangeTipoExpAlta();
	}else if(ventanaOrigen=="bt_JerarqTiposExp_AsignExp"){
		$("#cexpe20nuevo_filter_table").rup_combo("setRupValue", codTipoExp);
		parent.funChangeTipoExpAlta();
	}else if(ventanaOrigen=="bt_JerarqTiposExp_ListExp"){
		$("#cexpe20_filter_table").rup_combo("setRupValue", [""+codTipoExp]);
	}else if(ventanaOrigen=="bt_JerarqTiposExp_TiposFases"){
		$("#ctipoe01_filter_table").rup_combo("setRupValue", [""+codTipoExp]);
	}else if(ventanaOrigen=="bt_JerarqTiposExp_CambioTipo"){
		$("#cexpe20_cambio").rup_combo("setRupValue", [""+codTipoExp]);
	}else if(ventanaOrigen=="bt_JerarqTiposExp_ModifEspec"){
		$("#cexpe20_filter_table").rup_combo("setRupValue", [""+codTipoExp]);
	} 
	
	 
	
		
	
		
	$("#dialogoJerarqTiposExp").rup_dialog("close");
	//$("#dialogoJerarqTiposExp").rup_dialog("destroy");
	
}
